Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TimeBaseC.h File Reference

`#include "tao/ORB.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/CDR.h"`
`#include "tao/Environment.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for TimeBaseC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | TimeBase
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TimeBase::UtcT &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TimeBase::UtcT &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TimeBase::IntervalT &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TimeBase::IntervalT &)
TAO_Export void | operator<<= (CORBA::Any &, const TimeBase::UtcT &)
TAO_Export void | operator<<= (CORBA::Any &, TimeBase::UtcT *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TimeBase::UtcT *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TimeBase::UtcT *&)
TAO_Export void | operator<<= (CORBA::Any &, const TimeBase::IntervalT &)
TAO_Export void | operator<<= (CORBA::Any &, TimeBase::IntervalT *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TimeBase::IntervalT *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TimeBase::IntervalT *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TimeBase::IntervalT & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TimeBase::UtcT & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | TimeBase::IntervalT * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TimeBase::IntervalT & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | TimeBase::UtcT * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TimeBase::UtcT & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TimeBase::IntervalT & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TimeBase::UtcT & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TimeBase::IntervalT *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TimeBase::IntervalT *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TimeBase::UtcT *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TimeBase::UtcT *& |
| ) |